Subject: Re: [Mipshop] How possibly the HI message with a Code value of '1' can be curred?

From: Rajeev Koodli <[email-masked]>
Date: Sun, 04 Apr 2004 20:45:41 -0700

Hi,

could you please clarify ? Why could not HI be sent in the
reactive case ? And, why could it not have Code=1 ?

Thanks,

-Rajeev

?@=BHF wrote:

>  Hi all, According to the fmipv6-01 draft, HI message with the Code
> value of '1' can be occured when the source IP address of FBU is not
> PCoA, i.e., the FBU is sent from the NAR's link. Here is the original
> sentences below: " When the source IP address of FBU is not PCoA,
> i.e., the FBU is sent
>    from the NAR's link, the HI message MUST have a Code value of
> 1." But the definition and purpose of 'HI' message are against that
> above usage. Here, The definition of " Handover Initiate (HI) is  A
> message from the PAR to the NAR to initiate handover" Therefore, in
> the reactive mode, HI message cannot be made and it cannot have the
> Code value of '1'. Is that right? If not, I am happy to hear any
> explanation.  Seung Hun Oh

_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop

---

From: Rajeev Koodli <[email-masked]>
Date: Thu, 08 Apr 2004 18:48:35 -0700

osh93 wrote:

> Hi, Rajeev.
>
> The condition where HI message can have code '1' is that PAR should receive
> 'FBU' whose source IP address is not PCoA. So when PAR receives FBU from
> NAR in reactive mode, should it make HI message with code=1 to send to NAR?
>

It may not seem mandatory, but is considered useful. For instance, NAR may
create
a forwarding entry for the MN subject to "approval" from PAR which the NAR
trusts. Also, context transfer may be carried out using the HI message. To
allow
these cases, HI is sent with Code=1.

> I do not think it is necessary. It is just redundancy. Because upon
>

Hope above explaination helps.

> receiving FNA(FBU) from MN the NAR will do the same things as it treats HI
> message in predictive mode, the PAR don't need to send HI message to NAR
> again. Except that, is there any case where a PAR sends HI with code=1 to
> NAR?
>

No.

-Rajeev

>
> Thanks,
>
> - Seung Hun OH
>
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]] On Behalf Of
> > Rajeev Koodli
> > Sent: Monday, April 05, 2004 12:46 PM
> > To: Seung Hun Oh
> > Cc: [email-masked]
> > Subject: Re: [Mipshop] How possibly the HI message with a Code value of
> > '1' can be curred?
> >
> >
> > Hi,
> >
> > SeungHun wrote:
> > > i.e., the FBU is sent from the NAR's link, the HI message MUST have a
> > > Code value of 1." But the definition and purpose of 'HI' message are
> > > against that above usage. Here, The definition of " Handover Initiate
> > > (HI) is a message from the PAR to the NAR to initiate handover"
> > > Therefore, in the reactive mode, HI message cannot be made and it
> > > cannot have the Code value of '1'. Is that right? If not, I am happy to
> > > hear any explanation.
> > > Seung Hun Oh
> >
> >